Bug 218886 - cupsd: segfault, error 4 on FC6, Athlon 3500+, Lexmark Z602 printer
cupsd: segfault, error 4 on FC6, Athlon 3500+, Lexmark Z602 printer
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-07 18:42 EST by Vitaliy Yermolenko
Modified: 2008-03-17 02:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-17 02:05:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitaliy Yermolenko 2006-12-07 18:42:36 EST
Description of problem:
 * cupsd daemon crashed during printing on Lexmark Z602 with next error message
in /var/log/messages:
Dec  2 21:17:03 localhost kernel: cupsd[2924]: segfault at 0000000000000000 rip
00002aaaac9c1f60 rsp 00007fffbe506128 error 4

Version-Release number of selected component (if applicable):
 * All packages (including cups), are standard Fedora Core 6 x86_64 DVD authentic:
Linux version 2.6.18-1.2798.fc6 (brewbuilder@hs20-bc1-6.build.redhat.com) (gcc
version 4.1.1 20061011 (Red Hat 4.1.1-30)) #1 SMP Mon Oct 16 14:39:22 E
DT 2006


How reproducible:
 * Each time during printing any page.

Steps to Reproduce:
1. To print any/test page from any Linux application onto Lexmark Z602 printer.
  
Actual results:
 * cupsd process had crashed (should be started up manually for the next time).


Expected results:
 * Page should be printed.

Additional info:
 * System logs during printing:
==> /var/log/cron <==
Dec  2 21:10:01 localhost crond[2863]: (root) CMD (/usr/lib64/sa/sa1 1 1)

==> /var/log/cups/error_log <==
I [02/Dec/2006:21:16:50 +0200] Listening to 127.0.0.1:631 (IPv4)
I [02/Dec/2006:21:16:50 +0200] Listening to /var/run/cups/cups.sock (Domain)
I [02/Dec/2006:21:16:50 +0200] Loaded configuration file "/etc/cups/cupsd.conf"
I [02/Dec/2006:21:16:50 +0200] Using default TempDir of /var/spool/cups/tmp...
I [02/Dec/2006:21:16:50 +0200] Cleaning out old temporary files in
"/var/spool/cups/tmp"...
I [02/Dec/2006:21:16:50 +0200] Configured for up to 100 clients.
I [02/Dec/2006:21:16:50 +0200] Allowing up to 100 client connections per host.
I [02/Dec/2006:21:16:50 +0200] Using policy "default" as the default!
I [02/Dec/2006:21:16:50 +0200] Full reload is required.
I [02/Dec/2006:21:16:50 +0200] Loaded MIME database from '/etc/cups': 34 types,
38 filters...
D [02/Dec/2006:21:16:50 +0200] Loading printer Lexmark_Z600_Series_USB_1...
D [02/Dec/2006:21:16:50 +0200] Scanning /var/spool/cups for jobs...
D [02/Dec/2006:21:16:50 +0200] Loading attributes for job 8...
D [02/Dec/2006:21:16:50 +0200] Unloading job 8...
D [02/Dec/2006:21:16:50 +0200] Loading attributes for job 10...
E [02/Dec/2006:21:16:50 +0200] Unable to read job control file
"/var/spool/cups/c00010"!
I [02/Dec/2006:21:16:50 +0200] Loading NextJobId from job cache file
"/var/cache/cups/job.cache"...
I [02/Dec/2006:21:16:50 +0200] Full reload complete.
I [02/Dec/2006:21:16:50 +0200] Listening to 127.0.0.1:631 on fd 3...
I [02/Dec/2006:21:16:50 +0200] Listening to /var/run/cups/cups.sock on fd 4...
E [02/Dec/2006:21:16:50 +0200] Unable to set ACLs on root certificate
"/var/run/cups/certs/0" - Operation not supported

==> /var/log/cups/access_log <==
localhost - - [02/Dec/2006:21:17:01 +0200] "GET
/printers/Lexmark_Z600_Series_USB_1 HTTP/1.1" 200 0 - -

==> /var/log/cups/error_log <==
D [02/Dec/2006:21:17:01 +0200] cupsdAcceptClient: 7 from localhost:631 (IPv4)
I [02/Dec/2006:21:17:01 +0200] cupsdAcceptClient: skipping getpeercon()
D [02/Dec/2006:21:17:01 +0200] cupsdReadClient: 7 GET
/printers/Lexmark_Z600_Series_USB_1 HTTP/1.1
D [02/Dec/2006:21:17:01 +0200] cupsdReadClient: 7 Browser asked for language
"en-us.utf-8"...
D [02/Dec/2006:21:17:01 +0200] cupsdAuthorize: No authentication data provided.
D [02/Dec/2006:21:17:01 +0200] CGI /usr/lib/cups/cgi-bin/printers.cgi started -
PID = 2928
I [02/Dec/2006:21:17:01 +0200] Started "/usr/lib/cups/cgi-bin/printers.cgi"
(pid=2928)
D [02/Dec/2006:21:17:01 +0200] cupsdSendCommand: 7 file=8

==> /var/log/cups/access_log <==
localhost - - [02/Dec/2006:21:17:03 +0200] "POST / HTTP/1.1" 200 138
CUPS-Get-Default successful-ok
localhost - - [02/Dec/2006:21:17:03 +0200] "POST / HTTP/1.1" 200 542
Get-Printer-Attributes successful-ok

==> /var/log/cups/error_log <==
D [02/Dec/2006:21:17:03 +0200] cupsdAcceptClient: 10 from localhost (Domain)
I [02/Dec/2006:21:17:03 +0200] cupsdAcceptClient: skipping getpeercon()
D [02/Dec/2006:21:17:03 +0200] cupsdReadClient: 10 POST / HTTP/1.1
D [02/Dec/2006:21:17:03 +0200] cupsdAuthorize: No authentication data provided.
D [02/Dec/2006:21:17:03 +0200] CUPS-Get-Default
D [02/Dec/2006:21:17:03 +0200] cupsdProcessIPPRequest: 10 status_code=0
(successful-ok)
D [02/Dec/2006:21:17:03 +0200] [CGI] show_printer(http=0x555555794c40,
printer="Lexmark_Z600_Series_USB_1")
D [02/Dec/2006:21:17:03 +0200] cupsdReadClient: 10 POST / HTTP/1.1
D [02/Dec/2006:21:17:03 +0200] cupsdAuthorize: No authentication data provided.
D [02/Dec/2006:21:17:03 +0200] Get-Printer-Attributes
ipp://localhost/printers/Lexmark_Z600_Series_USB_1
D [02/Dec/2006:21:17:03 +0200] cupsdProcessIPPRequest: 10 status_code=0
(successful-ok)
D [02/Dec/2006:21:17:03 +0200] [CGI] cgiCopyTemplateLang(tmpl="header.tmpl")
D [02/Dec/2006:21:17:03 +0200] [CGI] locale="en_us"...
D [02/Dec/2006:21:17:03 +0200] [CGI] Template file is
"/usr/share/cups/templates/header.tmpl"...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 0...
D [02/Dec/2006:21:17:03 +0200] [CGI] "{title}" at 205...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting "{refresh_page?" at 374, result=0...
D [02/Dec/2006:21:17:03 +0200] [CGI] Skip first part...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 374...
D [02/Dec/2006:21:17:03 +0200] [CGI] "{refresh_page}" at 424...
D [02/Dec/2006:21:17:03 +0200] [CGI] Returning at file position 427 on character
':'...
D [02/Dec/2006:21:17:03 +0200] [CGI] Output second part...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 427...
D [02/Dec/2006:21:17:03 +0200] [CGI] Returning at file position 428 on character
'}'...
D [02/Dec/2006:21:17:03 +0200] [CGI] Finished "{refresh_page?",
out=0x2aaaabfc4780...
D [02/Dec/2006:21:17:03 +0200] [CGI] "{title}" at 671...
D [02/Dec/2006:21:17:03 +0200] [CGI] "{title}" at 952...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting "{SECTION=admin" at 1411, result=0...
D [02/Dec/2006:21:17:03 +0200] [CGI] Skip first part...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 1411...
D [02/Dec/2006:21:17:03 +0200] [CGI] Returning at file position 1412 on
character ':'...
D [02/Dec/2006:21:17:03 +0200] [CGI] Output second part...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 1412...
D [02/Dec/2006:21:17:03 +0200] [CGI] Returning at file position 1415 on
character '}'...
D [02/Dec/2006:21:17:03 +0200] [CGI] Finished "{SECTION=admin",
out=0x2aaaabfc4780...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting "{SECTION=classes" at 1678,
result=0...
D [02/Dec/2006:21:17:03 +0200] [CGI] Skip first part...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 1678...
D [02/Dec/2006:21:17:03 +0200] [CGI] Returning at file position 1679 on
character ':'...
D [02/Dec/2006:21:17:03 +0200] [CGI] Output second part...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 1679...
D [02/Dec/2006:21:17:03 +0200] [CGI] Returning at file position 1682 on
character '}'...
D [02/Dec/2006:21:17:03 +0200] [CGI] Finished "{SECTION=classes",
out=0x2aaaabfc4780...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting "{SECTION=help" at 1938, result=0...
D [02/Dec/2006:21:17:03 +0200] [CGI] Skip first part...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 1938...
D [02/Dec/2006:21:17:03 +0200] [CGI] Returning at file position 1939 on
character ':'...
D [02/Dec/2006:21:17:03 +0200] [CGI] Output second part...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 1939...
D [02/Dec/2006:21:17:03 +0200] [CGI] Returning at file position 1942 on
character '}'...
D [02/Dec/2006:21:17:03 +0200] [CGI] Finished "{SECTION=help", out=0x2aaaabfc4780...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting "{SECTION=jobs" at 2206, result=0...
D [02/Dec/2006:21:17:03 +0200] [CGI] Skip first part...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 2206...
D [02/Dec/2006:21:17:03 +0200] [CGI] Returning at file position 2207 on
character ':'...
D [02/Dec/2006:21:17:03 +0200] [CGI] Output second part...
D [02/Dec/2006:21:17:03 +0200] [CGI] Starting at file position 2207...
D [02/Dec/2006:21:17:03 +0200] [CGI] Returning at file position 2210 on
character '}'...
D [02/Dec/2006:21:17:03 +0200] [CGI] Finished "{SECTION=jobs", out=0x2aaaabfc4780...
D [02/Dec/2006:21:17:03 +0200] cupsdReadClient: 10 POST / HTTP/1.1
D [02/Dec/2006:21:17:03 +0200] cupsdAuthorize: No authentication data provided.
D [02/Dec/2006:21:17:03 +0200] Get-Jobs
ipp://localhost:631/printers/Lexmark_Z600_Series_USB_1

==> /var/log/messages <==
Dec  2 21:17:03 localhost kernel: cupsd[2924]: segfault at 0000000000000000 rip
00002aaaac9c1f60 rsp 00007fffbe506128 error 4


 * Additional driver info:
[root@localhost printer]# rpm -qa | grep z600
z600llpddk-2.0-1
z600cups-1.0-1
[root@localhost printer]# rpm -qa | grep z600 | xargs rpm -ql
/usr/include/lexmark/alignmentdata.h
/usr/include/lexmark/cartridgemanager.h
/usr/include/lexmark/cartridgeuserinterface.h
/usr/include/lexmark/cleaningdata.h
/usr/include/lexmark/clock.h
/usr/include/lexmark/errorcommunicator.h
/usr/include/lexmark/linuxinkjetprinter.h
/usr/include/lexmark/mediamanager.h
/usr/include/lexmark/portmonitor.h
/usr/include/lexmark/printerdevice.h
/usr/include/lexmark/printjobmanager.h
/usr/lib/liblexprinter.a
/usr/lib/liblexprinter.la
/usr/lib/liblexprinter.so.0.0.0
/usr/lib/liblexprintjob.a
/usr/lib/liblexprintjob.la
/usr/lib/liblexprintjob.so.0.0.0
/usr/lib/liblexz600core.a
/usr/lib/liblexz600core.la
/usr/lib/liblexz600core.so.0.0.0
/usr/local/z600llpddk/utility/bnsi1.lut
/usr/local/z600llpddk/utility/bnsi2.lut
/usr/local/z600llpddk/utility/bnsi3.lut
/usr/local/z600llpddk/utility/lxbcalgn.out
/usr/local/z600llpddk/utility/lxbccln.out
/usr/lib/cups/backend/z600
/usr/lib/cups/filter/rastertoz600
/usr/share/cups/model/Lexmark-Z600-lxz600cj-cups.ppd.gz
[root@localhost printer]# rpm -qa | grep z600 | xargs rpm -qi
Name        : z600llpddk                   Relocations: (not relocatable)
Version     : 2.0                               Vendor: Lexmark International, Inc.
Release     : 1                             Build Date: Wed 20 Aug 2003 10:26:17
AM EEST
Install Date: Sat 02 Dec 2006 08:29:01 PM EET      Build Host: localhost.localdomain
Group       : Development/Libraries         Source RPM: z600llpddk-2.0-1.src.rpm
Size        : 9966247                          License: Public
Signature   : (none)
Packager    : Lexmark International, Inc. <lcontact@lexmark.com>
URL         : http://www.lexmark.com
Summary     : A printer driver development kit for Lexmark Z600 printers.
Description :
LLPDDK stands for Lexmark Linux Printer Driver Development Kit. It
is a development kit provided to the community of the Linux developers
and enthusiasts for them to write drivers for Lexmark-branded printers.
It could even be used to totally control your printers.
Name        : z600cups                     Relocations: (not relocatable)
Version     : 1.0                               Vendor: Lexmark International, Inc.
Release     : 1                             Build Date: Thu 21 Aug 2003 09:36:17
AM EEST
Install Date: Sat 02 Dec 2006 08:29:40 PM EET      Build Host: dhcp-169-42
Group       : Applications/Publishing       Source RPM: z600cups-1.0-1.src.rpm
Size        : 219422                           License: Public
Signature   : (none)
Packager    : Lexmark International, Inc. <lcontact@lexmark.com>
URL         : http://www.lexmark.com
Summary     : CUPS printer driver for Lexmark Z600 printers.
Description :
A printer driver specifically for Lexmark Z600 printers. It is
designed to be used and ran under Common Unix Printing System
or CUPS. This printer driver is also based on Lexmark Linux
Printer Driver Development Kit (LLPDDK), which is a development
kit provided to the community of the Linux developers and
enthusiasts for them to write drivers for Lexmark-branded printers.


 * CPU:
It's used AMD Athlon 64 3500+ processor.
Comment 1 Tim Waugh 2006-12-08 05:01:45 EST
Apply the CUPS updates.  Does the problem still happen?
Comment 2 petrosyan 2008-03-17 02:05:45 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.